OpenTTD Source: CanalScopeResolver Struct Reference

OpenTTD Source 13.1

Public Member Functions | Data Fields
CanalScopeResolver Struct Reference

Scope resolver of a canal tile. More...

Inheritance diagram for CanalScopeResolver:

## Public Member Functions
| CanalScopeResolver (ResolverObject &ro, TileIndex tile)
uint32 | GetRandomBits () const override
| Get a few random bits. More...
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const override
| Get a variable value. More...
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual uint32 | GetTriggers () const
| Get the triggers. More...
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
TileIndex | tile
| Tile containing the canal.
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Scope resolver of a canal tile.

Definition at line 24 of file newgrf_canal.cpp.

## Member Function Documentation

## ◆ GetRandomBits()

uint32 CanalScopeResolver::GetRandomBits | ( |  | ) | const
| overridevirtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 56 of file newgrf_canal.cpp.

References GetWaterTileRandomBits(), IsTileType(), MP_WATER, and tile.

## ◆ GetVariable()

uint32 CanalScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| overridevirtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 62 of file newgrf_canal.cpp.

References Debug, DIR_E, DIR_N, DIR_NE, DIR_NW, DIR_S, DIR_SE, DIR_SW, DIR_W, GetLockPart(), GetTerrainType(), GetTileZ(), GetWaterTileRandomBits(), IsLock(), IsTileType(), IsWateredTile(), LOCK_PART_UPPER, MP_WATER, tile, and TILE_ADDXY.

The documentation for this struct was generated from the following file:

- src/newgrf_canal.cpp